document.addEventListener('DOMContentLoaded', function() {
        const checkbox = document.getElementById('enable_log_cleanup');
        const input = document.getElementById('log_retention_days');

        function toggleInput() {
            input.disabled = !checkbox.checked;
        }

        if (checkbox && input) {
            checkbox.addEventListener('change', toggleInput);
            toggleInput();
        }
});